Name:		libdnet
Version:	1.12
Release:	28
Summary:        Simple portable interface work with low-level networking routines

License:	BSD
URL:		https://github.com/dugsong/%{name}/
Source:   	http://%{name}.googlecode.com/files/%{name}-%{version}.tgz

Patch0:		%{name}-shrext.patch
Patch1:		dnet-config-multilib.patch
Patch9000:      add-sorted-function-remove-differences.patch

BuildRequires:	gcc-c++ 

%description
%{name} provides a simplified, portable interface to several low-level networking 
routines, including network address manipulation, kernel arp and route table
manipulation, firewalling, interface configuration, IP tunnelling, and raw Ethernet
and IP datagram transmission.

%package 	devel
Summary:	Header files for %{name}
Requires:	%{name} = %{version}-%{release}

%description 	devel
%{name}-devel contains the header files for developing
applications that want to make use of %{name}

%package 	progs
Summary:	Sample applications to use with %{name}
Requires:	%{name} = %{version}-%{release}

%description 	progs
%{name}-progs contains sample applications that want to make use of %{name}

%package -n python2-%{name}
%{?python_provide:%python_provide python2-%{name}}
Provides:	%{name}-python = %{version}-%{release}
Obsoletes:	%{name}-python 
Summary:	Python bindings for %{name}
Requires:	%{name} = %{version}-%{release}
BuildRequires:	python2-devel

%description -n python2-%{name}
Python2 package for python-%{name}

%package_help

%prep
%autosetup -n %{name}-%{version} -p1 

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure 
%disable_rpath

%make_build

pushd python
%{__python2} setup.py build
popd

%install
%{__make} install DESTDIR=%{buildroot}

pushd python
%{__python2} setup.py install --skip-build --root %{buildroot}
popd

%delete_la

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%license LICENSE
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/dnet-config
%{_libdir}/%{name}.so
%{_includedir}/dnet/*.h
%{_includedir}/dnet.h
%{_libdir}/*.a

%files progs
%defattr(-,root,root)
%{_sbindir}/*

%files -n python2-%{name}
%defattr(-,root,root)
%{python2_sitearch}/*

%files help
%defattr(-,root,root)
%doc README THANKS TODO
%{_mandir}/man3/*.3*
%{_mandir}/man8/*.8*

%changelog
* Thu Sep 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.12 - 28
- Package init
